<?php

if ( ! isset( $content_width ) ) $content_width = 630;

add_theme_support('automatic-feed-links');
add_theme_support('custom-background'); 
add_action('widgets_init', 'stack_sidebar');
add_filter('body_class','stack_has_sidebar');

function stack_sidebar() {
  register_sidebar(array(
    'name' => 'right_sidebar',
    'id' => 'right_sidebar',
  	'before_widget' => '<li id="%1$s" class="widget %2$s">',
  	'after_widget' => '</li>',
  	'before_title' => '<h3 class="widgettitle">',
  	'after_title' => '</h3>',
  ));
}

// hack to add a class to the body tag when the sidebar is active
function stack_has_sidebar($classes) {
	if (is_active_sidebar('right_sidebar')) {
		// add 'class-name' to the $classes array
		$classes[] = 'has_sidebar';		
	}
	// return the $classes array
	return $classes;
}


function stack_enqueue_comment_reply() {
	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) { 
		wp_enqueue_script( 'comment-reply' ); 
	}
}
add_action( 'wp_enqueue_scripts', 'stack_enqueue_comment_reply' );
 

function stack_filter_wp_title($title) {
  // Get the Site Name
  return get_bloginfo( 'name' )  . $title;
}
// Hook into 'wp_title'
add_filter( 'wp_title', 'stack_filter_wp_title' );
